ZM Update from PPA problems 14FEB15

Forum for questions and support relating to the 1.28.x releases only.
bbunge
Posts: 2430
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

ZM Update from PPA problems 14FEB15

Post by bbunge » Sat Feb 14, 2015 3:23 pm

There is an update on the iconnor ppa for Zoneminder.

1.28.0+1-trusty-SNAPSHOT2015021201

I upgraded my test machine using Webmin to run the updates. I did stop Zoneminder first. Now I have no GUI for Zoneminder.

Ubuntu 14.04-1 64 bit with ZM 1.28.0

Will see if I can get it going and post solution when I have time.

bb

bbunge
Posts: 2430
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: ZM Update from PPA problems 14FEB15

Post by bbunge » Sat Feb 14, 2015 8:12 pm

Did a reinstall on a fresh copy of Ubuntu 14.04-1. Still no GUI

This is what I see:


Sat 14th Feb, 3:09pm
Load: 0.02 / Disk: 6%
ZoneMinder Console - Running - v1.28.0
Group: All: 0 Monitors
Options / Log
Configured for Low Bandwidth
Name Function Source Events Hour Day Week Month Archived Zones Order Mark
0 0 0 0 0 0 0

tyler_h
Posts: 20
Joined: Mon Feb 09, 2015 4:47 pm

Re: ZM Update from PPA problems 14FEB15

Post by tyler_h » Sat Feb 14, 2015 8:19 pm

I just did the upgrade as well, had the same problems. I got the GUI back by going to this url:
localhost/zm/index.php?skin=classic

User avatar
knight-of-ni
Posts: 2228
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: ZM Update from PPA problems 14FEB15

Post by knight-of-ni » Sat Feb 14, 2015 8:30 pm

A snapshot build is in no way the same as Release 1.28.1
You have installed the same branch that the development team is working on so issues can be expected.

You should create an issue on github https://github.com/ZoneMinder/ZoneMinder
Please describe in detail what exactly "No Gui" means. Screenshots are helpful.
What exactly do you see?
Are there any error messages?
What does the zoneminder log say?
What does the apache log say?
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

bbunge
Posts: 2430
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: ZM Update from PPA problems 14FEB15

Post by bbunge » Sat Feb 14, 2015 9:33 pm

Screenshot in my second post.

Interesting... in Internet Explorer and Chrome the page displays normally! Firefox seems to be the problem?

Checking the options in IE the classic skin is indicated.

bb

sogood007
Posts: 25
Joined: Tue Oct 26, 2004 6:53 pm

Re: ZM Update from PPA problems 14FEB15

Post by sogood007 » Sun Feb 15, 2015 5:33 am

I have similar problem. I was using flat skin. After looking through the Options page, it appears there is no flat skin but only classic. However, there is CSS flat (which work exactly like the flat skin) Change the ZM_CSS to Flat. Everything looks normal. It seems to me there is cookie to store the skin/css. If you have the skin/css problem, go to the Options/Display and change the options

User avatar
knight-of-ni
Posts: 2228
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: ZM Update from PPA problems 14FEB15

Post by knight-of-ni » Sun Feb 15, 2015 1:53 pm

Sorry you guys are experiencing this issue.

We appreciate those willing to test the master branch through iconnor's Ubuntu master snapshot.
I'm sure it will get fixed early this coming week.

Just to make sure we are all on the same page, please note that you should not be using builds from the master branch on any production machine. That is what iconnor's master snapshot PPA is. I'm not saying you currently are, but I just want to make sure we all have a common understanding of this.

Note that the 1.28.1 Release does not have this issue.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

bbunge
Posts: 2430
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: ZM Update from PPA problems 14FEB15

Post by bbunge » Sun Feb 15, 2015 8:01 pm

This was not a release from the master branch (zoneminder-master). It is on the zoneminder ppa.

bb

User avatar
knight-of-ni
Posts: 2228
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: ZM Update from PPA problems 14FEB15

Post by knight-of-ni » Mon Feb 16, 2015 3:33 am

OK, now I'm confused. I wonder if that was accidentally published to the wrong PPA.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

tyler_h
Posts: 20
Joined: Mon Feb 09, 2015 4:47 pm

Re: ZM Update from PPA problems 14FEB15

Post by tyler_h » Mon Feb 16, 2015 4:44 pm

I was snake bitten by the 1.28.0 SNAPSHOT on the ICONNOR PPA
Linux Mint 17.1 Software Manager only has 1.28.0 available.

User avatar
iconnor
Posts: 806
Joined: Fri Oct 29, 2010 1:43 am
Location: Toronto
Contact:

Re: ZM Update from PPA problems 14FEB15

Post by iconnor » Mon Feb 16, 2015 7:53 pm

Sorry everyone. My deepest apologies.

I did infact in error publish a master snapshot to the releases ppa. I am currently adding 1.28.1 to it which should fix the behaviour.

Should be ready within the hour.

bbunge
Posts: 2430
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: ZM Update from PPA problems 14FEB15

Post by bbunge » Tue Feb 17, 2015 12:42 am

OK Folks, the PPA has been updated. I had installed 1.26.1 on my test PC and I removed that ZM install and added the ppa then installed the new, 1.28.1 ZM. Works! The package said "Setting up zoneminder (1.28.1-trusty) ..." the screen says 1.28.0

Thanks guys!

Bill

bbunge
Posts: 2430
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: ZM Update from PPA problems 14FEB15

Post by bbunge » Tue Feb 17, 2015 3:11 am

just upgraded my production machine. No images...Log filling up with errors:

Memory map file '/dev/shm/zm.mmap.16' does not exist. zmc might not be running.

will look for answers in the morning...

bb

tyler_h
Posts: 20
Joined: Mon Feb 09, 2015 4:47 pm

Re: ZM Update from PPA problems 14FEB15

Post by tyler_h » Tue Feb 17, 2015 4:32 am

I just upgraded too, or so I thought...

Stopping ZoneMinder: Zoneminder already stopped


Database already at version 1.28.0, update aborted.

ZoneMinder is stopped
invoke-rc.d: initscript zoneminder, action "status" failed.

Database already at version 1.28.0, update aborted.

Starting ZoneMinder: success

My machine thinks that 1.28.1 is running, zoneminder console says 1.28.0 and its filled with the same errors as I had with the SNAPSHOT version

User avatar
iconnor
Posts: 806
Joined: Fri Oct 29, 2010 1:43 am
Location: Toronto
Contact:

Re: ZM Update from PPA problems 14FEB15

Post by iconnor » Tue Feb 17, 2015 2:22 pm

There are reports of zmupdate.pl from 1.28.1 being stuck on 1.28.0. I can't conceive of how this would happen... but am looking into it.

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests